/*
 * HTMessage.java
 *
 * The MIT License :
 * -----------------
 * Copyright (c) 2005 Embrapa Informtica Agropecuria
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

import java.util.*;

public class HTMessage {

	int     numLines   = 0;
	int     maximumWidth = 0;
	int     idM  = 0;
		
	private String asLinhas[];
		

	public HTMessage(String m) {

		String linha;
		int    ind;
		
		StringTokenizer tokenizer = new StringTokenizer(m, "&"); 
		numLines = tokenizer.countTokens(); 
		int index; 
		asLinhas = new String[ numLines]; 
		for ( index =0; index < numLines; index++){ 

			linha = ((String) tokenizer.nextToken()); 
			
			ind   = linha.toLowerCase().indexOf("crlf");
			
			if (ind > -1) {
				ind += 4;
				if (linha.length() > 4)
					asLinhas[index] = linha.substring(ind).trim();
				else 
					asLinhas[index] = "";
			}
			else 
				asLinhas[ index] = linha.trim();

		} // End for. 
		setSizes();
	} // End 

	private void setSizes(){ 
		int thisWidth; 
		int index;		
		for ( index =0; index < numLines; index++) { 
			 thisWidth =  asLinhas[ index].length(); 
			if ( thisWidth > maximumWidth) { 
				maximumWidth = thisWidth; 
				idM = index;
			} 
		} 
	} // End setSizes. 
	
	public int getIdM() {
		return idM;
	}

	public String getLine(int  i) {
		return(asLinhas[i]);
	}

	public int     getNumLines() {
		return numLines;
	}

	public int   getMaximumWidth() {
		return maximumWidth;
	}
	

}


	


	
